## org.eclipse.datatools.sqltools.sqleditor.preferences
Class TemplatesPreferencePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.ui.texteditor.templates.TemplatePreferencePage
                  org.eclipse.datatools.sqltools.sqleditor.preferences.TemplatesPreferencePage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPreferencePage

    public class TemplatesPreferencePage

extends org.eclipse.ui.texteditor.templates.TemplatePreferencePage
implements org.eclipse.ui.IWorkbenchPreferencePage

See Also:
  `PreferencePage`

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`TemplatesPreferencePage()`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`boolean` `performOk()`

Methods inherited from class org.eclipse.ui.texteditor.templates.TemplatePreferencePage
`getContextTypeRegistry, getTemplateStore, init, performCancel, setContextTypeRegistry, setTemplateStore, setVisible`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, getContainer, getPreferenceStore, isValid, okToLeave, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPreferencePage
`init`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### TemplatesPreferencePage

    public TemplatesPreferencePage()

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `createControl` in class `org.eclipse.jface.preference.PreferencePage`

### performOk

    public boolean performOk()

  Specified by:
    `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
  Overrides:
    `performOk` in class `org.eclipse.ui.texteditor.templates.TemplatePreferencePage`